# Uses of Class
org.apache.felix.webconsole.servlet.RequestVariableResolver

Packages that use RequestVariableResolver
Package
Description
org.apache.felix.webconsole
org.apache.felix.webconsole.servlet

## Uses of RequestVariableResolver in org.apache.felix.webconsole

Subclasses of RequestVariableResolver in org.apache.felix.webconsole
Modifier and Type
Class
Description
`class`
`DefaultVariableResolver`
Deprecated.
Use `RequestVariableResolver` instead.
Methods in org.apache.felix.webconsole that return RequestVariableResolver
Modifier and Type
Method
Description
`RequestVariableResolver`
AbstractWebConsolePlugin.`getVariableResolver(javax.servlet.ServletRequest request)`
Deprecated.
Returns the `RequestVariableResolver` for the given request.

## Uses of RequestVariableResolver in org.apache.felix.webconsole.servlet

Methods in org.apache.felix.webconsole.servlet that return RequestVariableResolver
Modifier and Type
Method
Description
`protected RequestVariableResolver`
AbstractServlet.`getVariableResolver(jakarta.servlet.http.HttpServletRequest request)`